'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var jdFrappeGantt = require('jd-frappe-gantt');

// import "jd-frappe-gantt/src/gantt.scss"

const props = vue.defineProps({
  tasks: {
    type: Array,
    required: true
  },
  options: {
    type: Object,
    required: false,
    default: () => ({})
  }
});

const options = vue.computed(() => {
  return props.options
});

// declarations
const ganttRef = vue.ref(null);

var script = vue.defineComponent({
  name: 'GanttChart',
  inheritAttrs: false
});

vue.onMounted(() => {
  const gantt = new jdFrappeGantt.Gantt(ganttRef.value, props.tasks, options);
  console.log(gantt);
});

const _hoisted_1 = { class: "gantt-wrap" };
const _hoisted_2 = /*#__PURE__*/vue.createElementVNode("div", { id: "gantt" }, null, -1 /* HOISTED */);
const _hoisted_3 = [
  _hoisted_2
];

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return (vue.openBlock(), vue.createElementBlock("div", _hoisted_1, _hoisted_3))
}

script.render = render;
script.__file = "src/GanttChart.vue";

var components = /*#__PURE__*/Object.freeze({
  __proto__: null,
  GanttChart: script
});

const JdLibrary = {
    install(app) {
        // Auto import all components
        for (const componentKey in components) {
            app.use((components)[componentKey]);
        }
    }
};

const {GanttChart} = components;

exports.JdGanttChart = GanttChart;
exports.default = JdLibrary;
