import { defineProps, computed, ref, defineComponent, onMounted, openBlock, createElementBlock, createElementVNode } from 'vue';
import { Gantt } from 'jd-frappe-gantt';

// import "jd-frappe-gantt/src/gantt.scss"

const props = defineProps({
  tasks: {
    type: Array,
    required: true
  },
  options: {
    type: Object,
    required: false,
    default: () => ({})
  }
});

const options = computed(() => {
  return props.options
});

// declarations
const ganttRef = ref(null);

var script = defineComponent({
  name: 'GanttChart',
  inheritAttrs: false
});

onMounted(() => {
  const gantt = new Gantt(ganttRef.value, props.tasks, options);
  console.log(gantt);
});

const _hoisted_1 = { class: "gantt-wrap" };
const _hoisted_2 = /*#__PURE__*/createElementVNode("div", { id: "gantt" }, null, -1 /* HOISTED */);
const _hoisted_3 = [
  _hoisted_2
];

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return (openBlock(), createElementBlock("div", _hoisted_1, _hoisted_3))
}

script.render = render;
script.__file = "src/GanttChart.vue";

var components = /*#__PURE__*/Object.freeze({
  __proto__: null,
  GanttChart: script
});

const JdLibrary = {
    install(app) {
        // Auto import all components
        for (const componentKey in components) {
            app.use((components)[componentKey]);
        }
    }
};

const {GanttChart} = components;

export { GanttChart as JdGanttChart, JdLibrary as default };
